Package org.globus.ftp.dc

# Class StreamAsciiDCReader

java.lang.Object
org.globus.ftp.dc.StreamImageDCReader
org.globus.ftp.dc.StreamAsciiDCReader

All Implemented Interfaces:
  `DataChannelReader`

public class StreamAsciiDCReader extends StreamImageDCReader

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AsciiTranslator`
`translator`

### Fields inherited from class org.globus.ftp.dc.StreamImageDCReader

`BUF_SIZE, bufferSize, input`

## Constructor Summary

Constructors
Constructor
Description
`StreamAsciiDCReader()`

## Method Summary

Modifier and Type
Method
Description
`Buffer`
`read()`

### Methods inherited from class org.globus.ftp.dc.StreamImageDCReader

`close, setDataStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### translator

protected AsciiTranslator translator

## Constructor Details

### StreamAsciiDCReader

public StreamAsciiDCReader()

## Method Details

### read

public Buffer read() throws IOException

Specified by:
  `read` in interface `DataChannelReader`
Overrides:
  `read` in class `StreamImageDCReader`
Returns:
  Buffer of read data or null if end of data
Throws:
  `IOException`